﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using EasyPortal.Web.Weibo.Sina;
using System.IO;

namespace Sina.Controllers
{
    public class MessageController : CommonController
    {
        //
        // GET: /Message/

        public ActionResult Repost()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Repost(long id, string status)
        {
            if (ViewBag.UserId != null)
                ViewBag.Text = SinaApi.Json.Statuses_Repost(id, status, null).Text;
            return View();
        }

        public ActionResult Update()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Update(string status)
        {
            if (ViewBag.UserId != null)
                ViewBag.Text = SinaApi.Json.Statuses_Update(status, null, null, null, string.Empty).Text;
            return View();
        }

        public ActionResult Upload()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Upload(string status, HttpPostedFileBase pic)
        {
            if (ViewBag.UserId != null)
                ViewBag.Text = SinaApi.Json.Statuses_Upload(status, pic, 90, 90).Text;
            return View();
        }

        public ActionResult GetMsgUrl()
        {
            return View();
        }

        [HttpPost]
        public ActionResult GetMsgUrl(long userId, long mid)
        {
            ViewBag.Text = SinaApi.Json.GetMessageUrlFromMid(userId, mid);
            string t= SinaApi.Json.Queryid("3z4efAo4lk", 2, null, true, null).Text;
            return View();
        }
    }
}
