﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using EasyPortal.Web.Weibo;
using EasyPortal.Web;
using System.Text;
using EasyPortal.Web.Weibo.Sina;
using EasyPortal;

namespace Sina.Controllers
{
    public class OAuthController : Controller
    {
        //
        // GET: /Auth/

        public ActionResult Index(string returnUrl)
        {
            if (string.IsNullOrWhiteSpace(returnUrl))
                returnUrl = "~/";

            string userId;
            if (SinaApi.Xml.SaveAccessToken(Request[OAuth.OAuthVerifier], out userId))
            {
                Session["weibo_uid"] = userId;
            }

            return Redirect(returnUrl);
        }

        public ActionResult LinkTo(string returnUrl)
        {
            return Redirect(SinaApi.Xml.GetAuthorizationUrl(HttpKits.MakeAbsoluteUrl("~/OAuth?returnUrl=" + Server.UrlEncode(returnUrl))));
        }
    }
}
