﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using EasyPortal.Web.Weibo.Sina;

namespace Sina.Controllers
{
    public class FriendshipController : CommonController
    {
        //
        // GET: /Friendship/

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Create()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Create(string id)
        {
            if (ViewBag.UserId != null)
                ViewBag.Text = SinaApi.Json.Friendships_Create(id).Text;
            return View();
        }

        public ActionResult Exists()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Exists(long id)
        {
            if (ViewBag.UserId != null)
                ViewBag.Text = SinaApi.Json.Friendships_Exists(id, long.Parse(ViewBag.UserId)).Text;
            return View();
        }

        public ActionResult Show()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Show(long id)
        {
            if (ViewBag.UserId != null)
                ViewBag.Text = SinaApi.Json.Friendships_Show(id, null).Text;
            return View();
        }
    }
}
