﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using EasyPortal.Web.Weibo.Sina;

namespace Sina.Controllers
{
    public class UserController : CommonController
    {
        //
        // GET: /User/

        public ActionResult Index()
        {
            if (ViewBag.UserId != null)
            {
                ViewBag.Text = SinaApi.Json.Users_Show(ViewBag.UserId).Text;
            }
            return View();
        }

        public ActionResult CommentsTimeline()
        {
            if (ViewBag.UserId != null)
                ViewBag.Text = SinaApi.Json.Statuses_Comments_Timeline(null, null, null, null).Text;
            return View();
        }

        public ActionResult CommentsToMe()
        {
            if (ViewBag.UserId != null)
                ViewBag.Text = SinaApi.Json.Statuses_Comments_To_Me(null, null, null, null).Text;
            return View();
        }

        public ActionResult RepostByMe()
        {
            if (ViewBag.UserId != null)
                ViewBag.Text = SinaApi.Xml.Statuses_Repost_By_Me(long.Parse(ViewBag.UserId), null, null, null, null).Text;
            return View();
        }

        public ActionResult Mentions()
        {
            if (ViewBag.UserId != null)
                ViewBag.Text = SinaApi.Json.Statuses_Mentions(null, null, null, null).Text;
            return View();
        }

        public ActionResult FriendsIds()
        {
            if (ViewBag.UserId != null)
                ViewBag.Text = SinaApi.Xml.Followers_Ids(ViewBag.UserId, null, null).Text;
            return View();
        }

        public ActionResult Followers()
        {
            if (ViewBag.UserId != null)
                ViewBag.Text = SinaApi.Xml.Statuses_Followers(ViewBag.UserId, null, null).Text;
            return View();
        }
    }
}
